[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomMemo.GetCaretPos

Get the value for the CaretPos property.

## Declaration

Source position: stdctrls.pp line 919

`protected function TCustomMemo.GetCaretPos: TPoint; override;`

## Function result

Returns the position of the editing cursor or caret.

## Description

GetCaretPosition is an overridden method in TCustomMemo used to get the value for the CaretPos property. It calls the GetCaretPos method in the widgetset class to get the return value for the method.

## See also

TCustomEdit.CaretPos |  | The position of the editing cursor in the control.
TCustomMemo.GetCaretPos |  | Get the value for the CaretPos property.
TCustomMemo.SetCaretPos |  | Sets the position for the editing cursor or caret to the specified location.